<?php

namespace Utils\Enums;

enum TaskStatus: int
{
    /**
     * Used when a task has just been started.
     */
    case STARTED = 1;

    /**
     * Used when a task is currently being worked on.
     */
    case IN_PROGRESS = 2;


    /**
     * Used when a task is currently blocking this task.
     */
    case BLOCKED = 3;

    /**
     * Used when a task is currently completed.
     */
    case COMPLETED = 4;
}
