<?php

/**
 * Converts camelCase to snake_case.
 *
 * @see https://gist.github.com/carousel/1aacbea013d230768b3dec1a14ce5751
 * @param $input
 * @return string
 */
function camel_to_snake($input)
{
    return strtolower(preg_replace('/(?<!^)[A-Z]/', '_$0', $input));
}

/**
 * Converts snake_case to camelCase.
 *
 * @see https://gist.github.com/carousel/1aacbea013d230768b3dec1a14ce5751
 * @param $input
 * @return string
 */
function snakeToCamel($input)
{
    return lcfirst(str_replace(' ', '', ucwords(str_replace('_', ' ', $input))));
}